#ifndef CIRCULO_H_INCLUDED
#define CIRCULO_H_INCLUDED

/**
 @file circulo.h
 @brief Declaración de la clase círculo
 @author R. Rivas
         rafael@ula.ve

 @date Junio, 2012
 @version 1.0
*/
#include <figura.h>
#include <math.h>   // Necesario para usar la constante PI, se invoca con  M_PI
/**
 @brief Clase CCirculo especialización de CFigura
*/
class CCirculo: public CFigura{
private:
  float radio; /// radio del círculo

public:
  CCirculo(unsigned int = 0);
  CCirculo(const CCirculo&);
  ~CCirculo(){}

    /**
     @brief Observador del radio del círculo
     return radio del círculo
    */
    inline unsigned int  verRadio() const
    {
       return(this->radio);
    }
    float area() const;

    float asignarRadio(float);

};


#endif // CIRCULO_H_INCLUDED
