#ifndef FIGURAGEOMETRICAH
#define FIGURAGEOMETRICAH
/**
 @file figura.h
 @brief Declaración de la clase abstracta figura
 @author R. Rivas
         rafael@ula.ve

 @date Junio, 2012
 @version 1.2
*/

/**
 @brief Clase Abstacta CFigura, clase base de las figuras geométricas
*/
class CFigura
{
  private:
    unsigned int id; /// Identificador de la figura
  public:

    CFigura(unsigned int = 0);
    CFigura(const CFigura&);
    ~CFigura(){}

    /**
     @brief Observador del ID de la figura
     @return ID de la figura
    */
    inline unsigned int  verID() const 
    {
       return(this->id);
    }
    unsigned int asignarID(unsigned int);
    
    virtual float area() const = 0;

};

#endif
