#ifndef RECTANGULO_H_INCLUDED
#define RECTANGULO_H_INCLUDED
/**
 @file rectangulo.h
 @brief Declaración de la clase rectángulo
 @author R. Rivas
         rafael@ula.ve

 @date Junio, 2012
 @version 1.0
*/
#include <cuadrilatero.h>

/**
 @brief Clase CRectangulo especialización de CFigura
*/
class CRectangulo: public CCuadrilatero{
private:
  float base; /// base del rectángulo
  float altura; /// altura del rectángulo

public:
  CRectangulo(unsigned int = 0);
  CRectangulo(const CRectangulo&);
  ~CRectangulo(){}

    /**
     @brief Observador de la base del rectángulo
     return base del rectángulo
    */
    inline unsigned int  verBase() const
    {
       return(this->base);
    }

    /**
     @brief Observador de la altura del rectángulo
     return altura del rectángulo
    */
    inline unsigned int  verAltura() const
    {
       return(this->altura);
    }
    float area() const;

    float asignarBase(float);
    float asignarAltura(float);

};


#endif // RECTANGULO_H_INCLUDED
