#ifndef TRIANGULO_H_INCLUDED
#define TRIANGULO_H_INCLUDED

/**
 @file triangulo.h
 @brief Declaración de la clase triángulo
 @author R. Rivas
         rafael@ula.ve

 @date Junio, 2012
 @version 1.0
*/
#include <figura.h>

/**
 @brief Clase CTriangulo especialización de CFigura
*/
class CTriangulo: public CFigura{
private:
  float base; /// base del triángulo
  float altura; /// altura del triángulo

public:
  CTriangulo(unsigned int = 0);
  CTriangulo(const CTriangulo&);
  ~CTriangulo(){}

    /**
     @brief Observador de la base del triángulo
     return base del triángulo
    */
    inline unsigned int  verBase() const
    {
       return(this->base);
    }

    /**
     @brief Observador de la altura del triángulo
     return altura del triángulo
    */
    inline unsigned int  verAltura() const
    {
       return(this->altura);
    }
    float area() const;

    float asignarBase(float);
    float asignarAltura(float);

};



#endif // TRIANGULO_H_INCLUDED
