/**
 @file circulo.cpp
 @brief Definición de los métodos de la clase CCirculo
*/
#include<circulo.h>
/**
 @file Constructor por defecto
*/
CCirculo::CCirculo(unsigned int id) : CFigura(id){
   this->radio = 0;

   return;
}

/**
 @brief Constructor por copia
 @param c círculo a copiar
*/
CCirculo::CCirculo(const CCirculo& c) : CFigura(c.verID()){
   this->radio = c.radio;

   return;
}

/**
 @brief Método para el cálculo del área de un circulo
 @return Área del círculo
*/
float CCirculo::area() const {
   return(M_PI * this->radio * this->radio);
}

/**
  @brief Método para asignar el lado del círculo
  @param lado longitud del lado del círculo
  @return >= 0 logitud del lado del círculo, en otro caso error en la asignación
*/
float CCirculo::asignarRadio(float radio){
   if ( radio >= 0){
     this->radio = radio;

     return(radio);
   }

   return(-1);
}



