/**
 @file cuadrado.cpp
 @brief Definición de los métodos de la clase CCuadrado
*/
#include<cuadrado.h>
/**
 @file Constructor por defecto
*/
CCuadrado::CCuadrado(unsigned int id) : CCuadrilatero(id){
   this->lado = 0;

   return;
}

/**
 @brief Constructor por copia
 @param c cuadrado a copiar
*/
CCuadrado::CCuadrado(const CCuadrado& c) : CCuadrilatero(c.verID()){
   this->lado = c.lado;

   return;
}

/**
 @brief Método para el cálculo del área de un cuadrado
 @return Área del cuadrado
*/
float CCuadrado::area() const {
   return(this->lado*this->lado);
}

/**
  @brief Método para asignar el lado del cuadrado
  @param lado longitud del lado del cuadrado
  @return >= 0 logitud del lado del cuadrado, en otro caso error en la asignación
*/
float CCuadrado::asignarLado(float lado){
   if ( lado >= 0){
     this->lado = lado;

     return(lado);
   }

   return(-1);
}



