/**
 @file rectangulo.cpp
 @brief Definición de los métodos de la clase CRectangulo
*/
#include<rectangulo.h>
/**
 @file Constructor por defecto
*/
CRectangulo::CRectangulo(unsigned int id) : CCuadrilatero(id){
   this->base = 0;
   this->altura = 0;

   return;
}

/**
 @brief Constructor por copia
 @param t rectángulo a copiar
*/
CRectangulo::CRectangulo(const CRectangulo& t) : CCuadrilatero(t.verID()){
   this->base = t.base;
   this->altura = t.altura;

   return;
}

/**
 @brief Método para el cálculo del área de un Triangulo
 @return Área del rectángulo
*/
float CRectangulo::area() const {
   return(this->base * this->altura / 2.0);
}

/**
  @brief Método para asignar la base del rectángulo
  @param base longitud de la base del rectángulo
  @return >= 0 logitud de la base del rectángulo, en otro caso error en la asignación
*/
float CRectangulo::asignarBase(float base){
   if ( base >= 0){
     this->base = base;

     return(base);
   }

   return(-1);
}

/**
  @brief Método para asignar la altura del rectángulo
  @param base longitud de la altura del rectángulo
  @return >= 0 logitud de la altura del rectángulo, en otro caso error en la asignación
*/
float CRectangulo::asignarAltura(float altura){
   if ( altura >= 0){
     this->altura = altura;

     return(altura);
   }

   return(-1);
}



