/**
 @file triangulo.cpp
 @brief Definición de los métodos de la clase CTriangulo
*/
#include<triangulo.h>
/**
 @file Constructor por defecto
*/
CTriangulo::CTriangulo(unsigned int id) : CFigura(id){
   this->base = 0;
   this->altura = 0;

   return;
}

/**
 @brief Constructor por copia
 @param t triángulo a copiar
*/
CTriangulo::CTriangulo(const CTriangulo& t) : CFigura(t.verID()){
   this->base = t.base;
   this->altura = t.altura;

   return;
}

/**
 @brief Método para el cálculo del área de un Triangulo
 @return Área del triángulo
*/
float CTriangulo::area() const {
   return(this->base * this->altura / 2.0);
}

/**
  @brief Método para asignar la base del triángulo
  @param base longitud de la base del triángulo
  @return >= 0 logitud de la base del triángulo, en otro caso error en la asignación
*/
float CTriangulo::asignarBase(float base){
   if ( base >= 0){
     this->base = base;

     return(base);
   }

   return(-1);
}

/**
  @brief Método para asignar la altura del triángulo
  @param base longitud de la altura del triángulo
  @return >= 0 logitud de la altura del triángulo, en otro caso error en la asignación
*/
float CTriangulo::asignarAltura(float altura){
   if ( altura >= 0){
     this->altura = altura;

     return(altura);
   }

   return(-1);
}



